"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderWebsocket = void 0;
const websocket_1 = require("../websocket");
const events_1 = require("events");
class OrderWebsocket extends events_1.EventEmitter {
    constructor() {
        super();
        const $this = this;
        (0, websocket_1.websocket)().then((websocket) => {
            // @ts-ignore
            websocket.private(`Orders.${global.id}.Approved`).listen("Websocket\\Orders\\PaymentApprovedEvent", function (order) {
                setTimeout(() => $this.emit("order", order));
            });
            // @ts-ignore
            websocket.private(`Message.${global.id}.Massive`).listen("Websocket\\Messages\\MessagesMassiveEvent", function (message) {
                setTimeout(() => $this.emit("message", message));
            });
        });
    }
}
exports.OrderWebsocket = OrderWebsocket;
