import {websocket} from "../websocket";
import {Chat} from "../api/chat";
import Echo from "laravel-echo";
import {EventEmitter} from "events";

export class OrderWebsocket extends EventEmitter {

    constructor() {
        super();
        const $this = this
        websocket().then((websocket) => {

            // @ts-ignore
            websocket.private(`Orders.${global.id}.Approved`).listen("Websocket\\Orders\\PaymentApprovedEvent", function (order: any) {
                setTimeout(() => $this.emit("order", order))
            })
            // @ts-ignore
            websocket.private(`Message.${global.id}.Massive`).listen("Websocket\\Messages\\MessagesMassiveEvent", function (message: any) {
                setTimeout(() => $this.emit("message", message))
            })
        })
    }

}
