import {Authentication, LoginResponse} from "./../../types/types"
import {Axios} from "../axios";

export class Auth implements Authentication {
    async login(email: string, password: string): Promise<LoginResponse> {
        const {data} = await Axios.post("/login", {
            email, password
        })
        return data
    }
}
