export interface LoginResponse {
    id: number;
    name: string;
    email: string;
    access_token: string;
    profile: null | any; // Use o tipo correto para 'profile' se possível
    demographics: {
        id: number;
        user_id: number;
        country: string;
        state_province: string;
        city: string;
    };
}


export interface Authentication {
    login(email: string, password: string): Promise<LoginResponse>
}

export interface Register {
    register(email: string, password: string): Promise<LoginResponse>
}
